function [F] = Fns(x)
global shadowMin

% Min displ and  vol 
F = zeros(2,1);

L = 60; % ft.

A1 = x(1); A2 = x(2); A3 = x(3); xpos = x(4); % design variables
t = x(5); a = x(6);
u = x(7); y = x(8);

F(1) = y^2 + u^2; % square of total displacement in ft.
F(2) = (A1/sin(t) + A2 + A3/sin(a))*(L/144); % Volume of design in cu. ft.  
F = F - shadowMin ;
